/* SPDX-License-Identifier: GPL-2.0 */
#ifndef _ASM_GENERIC_SIMD_H
#define _ASM_GENERIC_SIMD_H

#include <linux/compiler_attributes.h>
#include <linux/preempt.h>
#include <linux/sched.h>
#include <linux/types.h>


static __must_check inline bool may_use_simd(void)
{
	return !in_interrupt();
}

#endif	
